Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataobjs
Class DBBind.Functions

    java.lang.Object
      com.knowgate.dataobjs.DBBind.Functions

Enclosing class:
  DBBind

    public static class DBBind.Functions

extends java.lang.Object

Aliases for common SQL functions in different database dialects.

Field Summary
`static java.lang.String` | `CHR` Get character from ASCII code CHAR([0..255])
`static java.lang.String` | `CONCAT` String concatenation Str1 CONCAT Str2
`static java.lang.String` | `GETDATE` Get System Date
`static int` | `iDBMS`
`static java.lang.String` | `ILIKE` Case-insensitve LIKE operator (PostgreSQL only)
`static java.lang.String` | `ISNULL` ISNULL(value, default) Get value or default if value is null
`static java.lang.String` | `LENGTH` Get string length LENGTH(str)
`static java.lang.String` | `LOWER` Transform String to lowercase LOWER(str)
`static java.lang.String` | `UPPER` Transform String to uppercase UPPER(str)

Constructor Summary
`DBBind.Functions()`

Method Summary
`static java.lang.String` | `strCat(java.lang.String[] aExpressions, char cPlaceBetween)` Create a SQL expressions which concatenates the given ones
`static java.lang.String` | `toChar(java.lang.Object oData, int iLength)` Cast into CHARACTER VARYING SQL TYPE

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISNULL

    public static java.lang.String ISNULL

  ISNULL(value, default)

  Get value or default if value is null

### CONCAT

    public static java.lang.String CONCAT

  String concatenation

  Str1 CONCAT Str2

### GETDATE

    public static java.lang.String GETDATE

  Get System Date

### LOWER

    public static java.lang.String LOWER

  Transform String to lowercase

  LOWER(str)

### UPPER

    public static java.lang.String UPPER

  Transform String to uppercase

  UPPER(str)

### LENGTH

    public static java.lang.String LENGTH

  Get string length

  LENGTH(str)

### CHR

    public static java.lang.String CHR

  Get character from ASCII code

  CHAR([0..255])

### ILIKE

    public static java.lang.String ILIKE

  Case-insensitve LIKE operator (PostgreSQL only)

### iDBMS

    public static int iDBMS

Constructor Detail

### DBBind.Functions

    public DBBind.Functions()

Method Detail

### toChar

    public static java.lang.String toChar(java.lang.Object oData,
                                          int iLength)
                                   throws java.lang.UnsupportedOperationException

  Cast into CHARACTER VARYING SQL TYPE

  Parameters:
    `oData` - Object of any type
    `iLength` - Maximum length of character data return
    For Oracle: TO_CHAR(oData)
    For MySQL: CAST(oData AS CHAR)
    For PostgreSQL and SQL Server: CAST(oData AS VARCHAR(iLength))
    For Access: CStr(oData)
  Throws:
    `java.lang.UnsupportedOperationException`

### strCat

    public static java.lang.String strCat(java.lang.String[] aExpressions,
                                          char cPlaceBetween)

  Create a SQL expressions which concatenates the given ones

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD